Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IPDFRenderOption

All Superinterfaces:
  IRenderOption, ITaskOption

All Known Implementing Classes:
  PDFRenderOption

    public interface IPDFRenderOption

extends IRenderOption

Defines render options for PDF emitter.

Field Summary
`static int` | `CLIP_CONTENT`
`static java.lang.String` | `DPI` The customer defined DPI setting for image display.
`static int` | `ENLARGE_PAGE_SIZE`
`static java.lang.String` | `FIT_TO_PAGE` Deprecated. Scale the content to fit into the page, when the content exceeds page size. This property has been deprecated, please set PAGE_OVERFLOW = FIT_TO_PAGE_SIZE instead.
`static int` | `FIT_TO_PAGE_SIZE`
`static java.lang.String` | `FONT_DIRECTORY` Deprecated. define the font directory used by PDF.
`static java.lang.String` | `IS_EMBEDDED_FONT` Deprecated. should the true-type font be embedded into the generated PDF file.
`static int` | `OUTPUT_TO_MULTIPLE_PAGES`
`static java.lang.String` | `PAGE_OVERFLOW` Properties to control how to output the content if the content exceeds the page-size.
`static java.lang.String` | `PAGEBREAK_PAGINATION_ONLY` Deprecated. The flag to indicate whether PDF layout use auto page break or not. if it is set to true, then auto page break will not take effect. This property has been deprecated, please set PAGE_OVERFLOW = OUTPUT_TO_MULTIPLE_PAGES instead.
`static java.lang.String` | `PDF_BIDI_PROCESSING` If it is set to false, no BIDI processing is used.
`static java.lang.String` | `PDF_FONT_SUBSTITUTION` If it is set to false, we needn't check if the character exists in the selected font.
`static java.lang.String` | `PDF_HYPHENATION` If it is set to false, no hyphenation is used.
`static java.lang.String` | `PDF_TEXT_WRAPPING` If it is set to false, all the text should be displayed into one line, the text which can not be displayed in the line will be clipped.

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Method Summary
`java.lang.String` | `getFontDirectory()` Deprecated.
`boolean` | `isEmbededFont()` Deprecated.
`void` | `setEmbededFont(boolean isEmbededFont)` Deprecated.
`void` | `setFontDirectory(java.lang.String fontDirectory)` Deprecated.

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### FIT_TO_PAGE

    static final java.lang.String FIT_TO_PAGE

  Deprecated. Scale the content to fit into the page, when the content exceeds page size. This property has been deprecated, please set PAGE_OVERFLOW = FIT_TO_PAGE_SIZE instead.
  See Also:
    Constant Field Values

### PAGEBREAK_PAGINATION_ONLY

    static final java.lang.String PAGEBREAK_PAGINATION_ONLY

  Deprecated. The flag to indicate whether PDF layout use auto page break or not. if it is set to true, then auto page break will not take effect. This property has been deprecated, please set PAGE_OVERFLOW = OUTPUT_TO_MULTIPLE_PAGES instead.
  See Also:
    Constant Field Values

### PAGE_OVERFLOW

    static final java.lang.String PAGE_OVERFLOW

  Properties to control how to output the content if the content exceeds the page-size. CLIP_CONTENT: clip the content FIT_TO_PAGE_SIZE: scale the content to fit into the page OUTPUT_TO_MULTIPLE_PAGES: divided the content into multiple pages ENLARGE_PAGE_SIZE: enlarge the page size to contain all the content.

  See Also:
    Constant Field Values

### CLIP_CONTENT

    static final int CLIP_CONTENT

See Also:
  Constant Field Values

### FIT_TO_PAGE_SIZE

    static final int FIT_TO_PAGE_SIZE

See Also:
  Constant Field Values

### OUTPUT_TO_MULTIPLE_PAGES

    static final int OUTPUT_TO_MULTIPLE_PAGES

See Also:
  Constant Field Values

### ENLARGE_PAGE_SIZE

    static final int ENLARGE_PAGE_SIZE

See Also:
  Constant Field Values

### PDF_TEXT_WRAPPING

    static final java.lang.String PDF_TEXT_WRAPPING

  If it is set to false, all the text should be displayed into one line, the text which can not be displayed in the line will be clipped.

  See Also:
    Constant Field Values

### PDF_HYPHENATION

    static final java.lang.String PDF_HYPHENATION

  If it is set to false, no hyphenation is used. The word longer than the line width will be clipped at the line boundary.

  See Also:
    Constant Field Values

### PDF_FONT_SUBSTITUTION

    static final java.lang.String PDF_FONT_SUBSTITUTION

  If it is set to false, we needn't check if the character exists in the selected font.

  See Also:
    Constant Field Values

### PDF_BIDI_PROCESSING

    static final java.lang.String PDF_BIDI_PROCESSING

  If it is set to false, no BIDI processing is used.

  See Also:
    Constant Field Values

### DPI

    static final java.lang.String DPI

  The customer defined DPI setting for image display.

  See Also:
    Constant Field Values

### FONT_DIRECTORY

    static final java.lang.String FONT_DIRECTORY

  Deprecated. define the font directory used by PDF.
  See Also:
    Constant Field Values

### IS_EMBEDDED_FONT

    static final java.lang.String IS_EMBEDDED_FONT

  Deprecated. should the true-type font be embedded into the generated PDF file.
  See Also:
    Constant Field Values

Method Detail

### setEmbededFont

    void setEmbededFont(boolean isEmbededFont)

  Deprecated.

  Parameters:
    `isEmbededFont` -

### isEmbededFont

    boolean isEmbededFont()

  Deprecated.

  Returns:
    if font is embedded

### getFontDirectory

    java.lang.String getFontDirectory()

  Deprecated.

  Returns:
    the user-defined font directory

### setFontDirectory

    void setFontDirectory(java.lang.String fontDirectory)

  Deprecated.

  Parameters:
    `fontDirectory` - the user-defined font directory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.